function love.load()
	love.graphics.setBackgroundColor(255,255,255,255)
	newImg  = love.graphics.newImage
	drawImg = love.graphics.draw
	setColor= love.graphics.setColor
	isDown  = love.keyboard.isDown
	inventory = {}
	maxentries = 5
	
    -- dont start with empty items in inventory
    
	items = {}
		items[1] = {name = "item1", img = newImg("1.png"), scale = 0.5}
		items[2] = {name = "item2", img = newImg("2.png"), scale = 5  }
	inventorybox = newImg("ivnbox.png")
	width, height = love.graphics.getDimensions()
	x, y = 2, 400
	isout  = false
	canout = true
	isadded= false
	canadd = true
	inventory_add(inventory,1,items[2])
end

function love.update(dt)
	if not isout then
		if isDown("e") then
			if canout then
				x = x + 20
				canout = false
				isout  = true
			end
		else
			canout = true
		end
	end
	if isout then
		if isDown("e") then
			if canout then
				x = x - 20
				canout = false
				isout  = false
			end
		else
			canout = true
		end
	end
	
	if not isadded then
		if isDown("r") then
			if canadd then
				inventory_add(inventory,1,items[1])
				canadd = false
				isadded = true
			end
		end
	end
end

function love.draw(dt)
	for i = 1,maxentries do
		drawImg(inventorybox, x*(i*6.4), y, 0, 1,1, inventorybox:getWidth()/2, inventorybox:getHeight()/2)
		inventory_show(inventory, i, x*(i*6.4), y)
	end
	setColor(0,0,0,255)
	love.graphics.print("press e to pullout inventory\npress r to add new item", 16, 16)
	setColor(255,255,255,255)
end

function inventory_add(inventory,entry,item)
    table.insert(inventory,entry,item)
    
    -- if you add too many items drop of the oldest
    if #inventory > maxentries then
        table.remove(inventory)
    end
end

function inventory_show(inventory, entry, x, y)
    local item = inventory[entry]
    
    -- only draw item if there is one
    if item ~= nil then
        drawImg(item.img, x, y, 0, item.scale, item.scale, item.img:getWidth() / 2, item.img:getHeight() / 2)
    end
end
